











                        DIRECTORY SCANNER (tm) Ver 3.20

                        Copyright (c)  1986, 1987, 1988
                              All Rights Reserved

                                       by

                                  Nat Martino
                            501 W. Vineyard Ave #514
                                Oxnard, CA 93030
                                 (805) 485-6340

















































                       T A B L E   O F   C O N T E N T S



         DIRECTORY INDICATOR MOVEMENT  . . . . . . . . . . . . . .    1
            Linking Directories to Numbers . . . . . . . . . . . .    2

         FILE INDICATOR MOVEMENT . . . . . . . . . . . . . . . . .    2

         COMMANDS  . . . . . . . . . . . . . . . . . . . . . . . .    3
            Attribute Tagged Files  . . . . [    A     ] . . . . .    3
            Attribute Directory . . . . . . [  ctrl-A  ] . . . . .    4
            Backup Files  . . . . . . . . . [    B     ] . . . . .    4
            Command Entry . . . . . . . . . [ C  alt-C ] . . . . .    6
            Drive Change  . . . . . . . . . [    D     ] . . . . .    7
            Delete Tagged Files . . . . . . [  alt-D   ] . . . . .    7
            Directory Add/Delete/Change . . [  ctrl-D  ] . . . . .    7
            Edit Indicated File . . . . . . [ E  alt-E ] . . . . .    8
            Edit Defaults . . . . . . . . . [  ctrl-E  ] . . . . .    9
            Find File . . . . . . . . . . . [    F     ] . . . . .    9
            Free Bytes on Other Drive . . . [  alt-F   ] . . . . .   10
            Help Menu . . . . . . . . . . . [    ?     ] . . . . .   10
            Copy Tagged Files . . . . . . . [    K     ] . . . . .   11
            Color Changes . . . . . . . . . [  alt-K   ] . . . . .   11
            List Indicated File . . . . . . [ L  alt-L ] . . . . .   12
            Limits of Program . . . . . . . [  ctrl-L  ] . . . . .   12
            Move Tagged Files . . . . . . . [    M     ] . . . . .   13
            25 43/50 Line Mode Toggle . . . [  alt-M   ] . . . . .   13
            Print Tagged Files  . . . . . . [    P     ] . . . . .   13
            Rename Indicated File . . . . . [    R     ] . . . . .   14
            Rescan Directory  . . . . . . . [  alt-R   ] . . . . .   14
            Screen Refresh  . . . . . . . . [    S     ] . . . . .   14
            Select & Sort . . . . . . . . . [  alt-S   ] . . . . .   14
            Tag File  . . . . . . . . . . . [    T     ] . . . . .   15
            Tag All Files . . . . . . . . . [  alt-T   ] . . . . .   15
            Tree Dump File  . . . . . . . . [  ctrl-T  ] . . . . .   15
            Untag File  . . . . . . . . . . [    U     ] . . . . .   15
            Untag All Files . . . . . . . . [  alt-U   ] . . . . .   15
            Volumn ID Toggle  . . . . . . . [  ctrl-V  ] . . . . .   15
            eXecute File  . . . . . . . . . [ X  alt-X ] . . . . .   16

         MACROS  . . . . . . . . . . . . . . . . . . . . . . . . .   16

         EXIT PROGRAM . . . . . . . . . . . [    F9    ] . . . . .   19

         LICENSING & REGISTRATION  . . . . . . . . . . . . . . . .   20

         WARRANTY & DISCLAIMER . . . . . . . . . . . . . . . . . .   20









                                     - i -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


                         ͻ
         ͹    DIRECTORY MOVEMENT     
                         ͼ

              The Function Keys F1 thru F8 allow the user to  move  the
         directory  highlighter  from one directory to another.  Moving
         the highlighter from directory to directory  does  not  change
         the  user  into the newly highlighted directory until the user
         strikes the carriage return [CR] key.  The directory  function
         keys do the following:

           F1 - Move  the  directory  highlighter  backward/up  to  the
                 previous directory.

           F2 - Move the directory highlighter forward/down to the next
                directory.

           F3 - Move the directory highlighter up the tree display  one
                half as many directories as are currently displayed.

           F4 - Move the directory highlighter down  the  tree  display
                one half as many directories as are currently displayed.

           F5 - Move the directory highlighter to the root directory.

           F6 - Move  the  directory   highlighter  to  the  very  last
                directory.

           F7 - Scroll up the display of the directory structure.

           F8 - Scroll down the display of the directory structure.

                  ************      You  need  to  hit  the
                  * REMEMBER *      carriage return [CR] to
                  ************      change/enter a directory.

              DIRECTORY MOVEMENT WITH ARROW KEYS  -  The  user  has  an
         alternate means of moving the  directory  highlighter  through
         the use of the arrow keys.  Normally the arrow keys  are  used
         to move amongst the files of a directory,  however;  with  the
         help of the space bar acting as a toggle key, the  arrow  keys
         can move the directory highlighter as well.  This can be handy
         for  those users possessing keyboards with function keys along
         the top of the keyboard which makes it difficult  to  use  for
         directory movement.

             The SPACE bar is used as a toggle to switch the definition
         of the arrow keys from file movement to directory movement and
         back again.  A small left pointing arrow  will  appear  midway
         down the border between the  directory  screen  and  the  file
         screen  when  the  arrow  keys  work  on  directory  movement.
         When no left arrow appears in the border between the  screens,
         the arrow  keys  work on  file  movement.   Users  that desire
         preventing the SPACE bar from  acting  as a  toggle  key  (and
         accidently switching the arrow key definitions)  can lock  out
         the SPACE bar toggle feature by  selecting  the  "Q"  key.   A


                                    - 1 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


         second method of switching the definition of the arrow keys is
         by using the Ctrl-Left Arrow and Ctrl-Right Arrow  keys.   The
         Ctrl-Left Arrow key will define the  arrow  keys  to  work  on
         navigating amongst directories,  while  the  Ctrl-Right  Arrow
         will define the arrow  keys  to  work  on  files.  This  is  a
         temporary implementation and will  be  further  refined  in  a
         later release.

              LINKING DIRECTORIES TO NUMBERS OPTION - The user may link
         a directory to a number (1 thru 9) or alt-number  (alt-1  thru
         alt-9)   key  sequence.   After  a  directory  is  so  linked,
         selecting the number or alt-number sequence will highlight the
         desired directory.  To enter the directory the user may  still
         be required to hit the return/enter key.

              The user may display and/or change directory-number links
         by selecting the "0" key or "alt-0" key sequence.  The display
         presented  will allow changes to the links by highlighting the
         desired directory with F1 thru F8,  the  desired  number  with
         Up/Dn Arrows,  and then using the Ins key to assign a link, or
         the Del key to delete a link.  If changes are made,  the  user
         is  prompted to chose whether the startup defaults file should
         be permanently modified.  Also from this display the user  may
         elect  to  switch  directly  to  another  displayed  directory
         without making any changes to displayed links.

              When  using  the  directory   link   option   to   switch
         highlighted  directories  the  drive  id  of  the  source  and
         destination directories is significant.  If the  drive  id  of
         the   source  or  current  directory  is  different  from  the
         destination or future directory  then  not  only  is  the  new
         directory  highlighted  but the user is also placed in the new
         directory and presented with the listing of files in that  new
         directory  on  the right side of the display.  If the drive id
         of the source and  destination  are  the  same  then  the  new
         directory  is  highlighted  but  the  user  remains in the old
         directory and the file  listing  on  the  right  side  of  the
         display  remains  unchanged.  To  enter  the  new  directory a
         return/enter must be entered.

              "TAB <ltr>" OPTION - Depressing the TAB key  followed  by
         a letter  will move the  highlighted  directory  to  the first
         directory whose first letter of its full  pathname  (excluding
         drive id, ie: "c:\") is equal to or greater than the specified
         letter.

              Currently there is a  limitation  of  a  maximum  of  150
         directories  for  any  one  drive.  Exceeding  this limit will
         result in an error message.  See "CTRL-L" option.

                         ͻ
         ͹  FILE INDICATOR MOVEMENT  
                         ͼ

              Upon  entering  a  directory  that  contains  one or more
         files,  the first file in the directory is marked with 2 small


                                    - 2 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


         triangluar  indicators,  one  on  each  side of the file name.
         This indicates which file is the current "indicated file", and
         further file information about this file is displayed  at  the
         bottom of the display screen.

              To  change  the  "indicated file" the file indicators are
         moved from file to file through the use of  the  cursor  arrow
         keys  on  the numeric keypad.  The arrow and related keys work
         as follows:

            Up Arrow Key    - Move to the previous file

            Down Arrow Key  - Move to the next file

            Left Arrow Key  - Move to the file in  the  column  to  the
                              left

            Right Arrow Key - Move to the file in  the  column  to  the
                              right

            Home Key        - Move to the first  file  on  the  display
                              screen

            End Key         - Move to the  last  file  on  the  display
                              screen

            PgUp Key        - Display previous page of file names

            PgDn Key        - Display next page of file names

              The  PgUp/PgDn  keys  are  active only when the currently
         displayed directory has more files than can fit  on  a  single
         screen/page.

           "TAB TAB <ltr>" OPTION -    Depressing  the  TAB  key  twice
         followed by a letter will change the "indicated file"   to  be
         the  first file whose first letter of its name is equal to  or
         greater than the specified letter.

              Currently there is a limitation of a maximum of 300 files
         per any one directory.  Exceeding this limit will result in an
         error message.  See "CTRL-L" option.

                         ͻ
         ͹         COMMANDS          
                         ͼ

              Ŀ         Ŀ
         Ĵ   ATTRIBUTE TAGGED FILES    Ĵ   "A"    
                       

              This option allows the user to change 3 of the  attribute
         bits  on  all  files  that are tagged.  Depressing "A" with no
         files tagged will result in an error  beep.  Once  files  have
         been tagged this option becomes available.  Activation of this
         option  will  allow the user to turn on/off the read-only bit,


                                    - 3 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


         the system bit and the hidden bit,  by toggling the "r",  "s",
         and "h" keys respectively.  Changing the file's attribute bits
         only  takes  effect when the carriage return key is depressed.
         The user should toggle the attribute select keys ("r",  "s"  &
         "h")  to  the desired states,  then hit the carriage return to
         activate the desired changes.


              Ŀ         Ŀ
         Ĵ     ATTRIBUTE DIRECTORY     Ĵ "Ctrl-A" 
                       

              This option allows the user to change  the  same  3  file
         attribute  bits  that  Option  A (above) changes,  except this
         option  works  on  the  attribute  bits  of  the   highlighted
         directory.  The  significance  of  changing  the  read-only or
         system bits of a directory is unknown.  Turning the hidden bit
         of a directory on will hide the directory from the normal  DOS
         "dir"   command.   The   DS  program  can  see  the  directory
         regardless of the condition of the hidden bit.  The  user  may
         want  to  hide  a  directory so that other people that use the
         same machine do not  rummage  through  the  hidden  directory.
         This assumes the other users do not know or have access to the
         DS or other programs that show the directory regardless of the
         hidden   bit.   The  user  is  prohibited  from  changing  the
         attribute bits on the root directory of any  drive.  All  sub-
         directories  are  fair  game.

              Ŀ         Ŀ
         Ĵ           BACKUP            Ĵ   "B"    
                       

              The backup option will execute the "ds_bkup.exe" program.
         It will prompt the user for the type of backup (ie:  to floppy
         disks  or  to  a  second  hard  disk)  and  the  backup  drive
         destination.  It will then present a display screen  identical
         to  the main DS program with the exception that the "indicated
         file" is now marked with only a trailing indicator.  All files
         displayed will have 1 of 3 characters preceeding the filename.
         The 3 characters and their significance are:

              "+" indicates the file has its archive bit set,  or  that
                  the user would like to set the archive bit on.

              [sp]  indicates  the  file  does not have the archive bit
                    set,  or that the user  would  like  to  clear  the
                    archive bit.

              "-"  indicates  that  the  user would like to delete this
                   file.

             In  the  manual  mode  the  user  is  presented  with  the
         opportunity  to  modify  the archive bit of a file by changing
         the character preceeding the file name.  The actual changes to
         the file's archive bit are  not  implemented  until  the  user
         processes his/her desired changes by hitting the "p" key.  The


                                    - 4 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


         "p"  key  processes changes and will set/clear the archive bit
         on files with "+"/[sp] respectively,  and delete  those  files
         marked with a "-" preceeding the file name.

             The  actual  backup  (copying  to  backup) is done only on
         those files that have their archive bit set on.  In the manual
         mode,  the backup of a directory is accomplished by  the  user
         pressing  the "x" key.  The "x" key will eXecute the backup of
         a directory.  If there are no files in the selected  directory
         that  need  backing  up (ie:  no files have their archive bits
         set) then pressing "x" will appear to do nothing,  and you are
         left  in  the same directory to choose additional options.  If
         the directory does need backing up,  then the backup procedure
         will  commence and if the backup is to floppy disks,  the user
         will be prompted to enter the appropriate backup diskettes.

             The auto/manual mode refers to the  capability  of  moving
         from directory to directory manually or automatically.  In the
         manual mode, the user must move from one directory to the next
         through the use of the F1-F8 keys and the carriage return.  In
         the  auto  mode,  the backup program automatically moves on to
         the next directory after it  has  completed  operations  in  a
         given  directory.  The user may switch back and forth from the
         manual mode and auto mode through the use of the "m"  and  "a"
         keys.  To  enter  the  auto  mode  from the manual mode simply
         depress the "a" key.  To enter the manual mode from  the  auto
         mode simply depress the "m" key.

             In the auto mode,  if a directory requires backup and  the
         user  is backing up to floppy disks,  the user is prompted for
         inserting the proper  backup  disks.  If  the  user  does  not
         desire  to backup the currently displayed directory,  the user
         may skip  that  directory  by  depressing  the  ESC  key.  The
         program  will then move on to the next directory and check for
         required backups.  The user is  automatically  placed  in  the
         manual  mode at the completion of the auto mode (ie:  when the
         auto mode has completed processing the last  directory).  Auto
         mode  backup  to  another hard disk does not require prompting
         for backup disks;  however, the user may still be prompted for
         possible  obsolete backup files (see below).  Auto mode backup
         to another hard disk requires the destination  directory  have
         the  identically  same  full  pathname as the source directory
         with the exception of the drive id (ie: 1st character).

         The  backup  program maintains 3 user selectable copy options.
         They are:

               Precautionary Copy - A precautionary copy is the copy to
         backup of a file which did not have its archive bit  set.  The
         file  is  copied to backup even though the archive bit was not
         on as a precaution because the backup program could not find a
         file by the same name on any  of  the  backup  disks  for  the
         current directory.  The default for this option on start up is
         "no"  do  not  do  precautionary  copying  of files.  For this
         option to work correctly,  the user  must  insert  all  backup
         disks  for  a  particular  directory in the correct sequential


                                    - 5 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


         order and answer "y"es to the prompt on the final backup disk.

               Obsolete Backups - An obsolete backup file is a file the
         program finds on a backup disk but does not find a file by the
         same name in the directory which the user is backing  up.  The
         default  for  this  option  on start up is "identify" possible
         obsolete files.

               Delete Duplicate Backups - Duplicate backups are 2 files
         on 2 different backup floppy diskettes  of  1  directory  that
         have  the  same name.  The default for this option on start up
         is "no",  do not  delete  duplicate  backup  files.  For  this
         option  to  work  correctly,  the  user must insert all backup
         disks for a particular directory  in  the  correct  sequential
         order and answer "y"es to the prompt on the final backup disk.

             All 3 of the above copy options can be changed by the user
         by  selecting  the  "d" (for defaults) key,  and then toggling
         either the "p",  "o"  or  "d"  keys  for  Precautionary  Copy,
         Obsolete Backups, and Duplicate Backups respectively.

            One of the options available while in the  manual  mode  is
         the "Restore-.bat" option.  This option will construct, in the
         root  directory  of  the drive to be backed up,  2 batch files
         that can be used to reconstruct the  directory  structure  and
         restore all backup files, should the need to reformat the hard
         disk become necessary or should the user desire to switch over
         to a new hard disk.  If you are backing up to floppies,  the 2
         files are "ds_f1.bat" and "ds_f2.bat".  If you are backing  up
         to  a  second  hard  disk,   the  files  are  "ds_h1.bat"  and
         "ds_h2.bat".  This option should be  executed  each  time  the
         user makes some sort of change to the directory structure (ie:
         mkdir/rmdir) on the hard disk in question.

              Ŀ       Ŀ
         Ĵ        COMMAND ENTER        Ĵ"C"  "Alt-C"
                     

             The  command  entry  option  allows  the user to enter any
         command they would enter at the  normal  DOS  command  prompt.
         Whatever  is entered by the user is passed on to a second copy
         of "command.com".   Upon depressing the "c" or "alt-c" key the
         bottom  3 status  lines will  be  cleared  and  the  following
         message appear:

                To return to DS - Enter only a carriage return

         The DOS command line prompt will be the current path  followed
         by a triangle symbol pointing to the right.   Users may  enter
         as many commands in sequence as they desire,  returning  to DS
         by entering only a carriage return.   This option  will  allow
         the user to interface with DOS command stack programs such  as
         "CED", and with DOS  keyboard  enhancement  programs  such  as
         "Newkey".

              The "c" option will process one  or more  commands  while


                                    - 6 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


         the DS program stays resident in  memory.   The "alt-c" option
         will process the desired  command  while  overlaying  the   DS
         program.  Upon  termination  of  the  "alt-c"  option  the  DS
         program will be reloaded from disk.   The  "alt-c"  option  is
         slower to reload/restart DS but useful  in  systems  that  are
         tight on memory.  Upon reloading DS the "alt-c"  option should
         retain the same current "indicated file"; however, all tagging
         of files will be lost.

              Ŀ         Ŀ
         Ĵ        DRIVE CHANGE         Ĵ   "D"    
                       

             The  drive  change  option  allows the user to switch to a
         different default drive and display  the  directory  structure
         information of the new drive.  When switching off a hard disk,
         all directory structure information about that drive and other
         pertinent  program  information (ie:  current colors) is first
         copied to the "ds_globl.log" and  "ds_drv_?.log"  files.  This
         is done so that when switching back to that hard  disk  it  is
         not necessary to do a rescan of the entire disk to recover the
         disk directory structure information.  The  user  can  specify
         which drives the program will maintain "log"  files on through
         the use of the "Ctrl-E" option.

              Ŀ         Ŀ
         Ĵ     DELETE TAGGED FILES     Ĵ "Alt-D"  
                       

             The  delete  tagged  files  option  will allow the user to
         delete those files that  have  been  tagged  (see  Option  "T"
         below).  This  option  will  first request a confirmation that
         the user really wants to delete all those  files  marked.  THE
         DEFAULT  CONFIRMATION  RESPONSE IS "Y",  SO DEPRESSING ANY KEY
         EXCEPT "N" (and ESC) WILL DELETE ALL TAGGED FILES.

              Ŀ         Ŀ
         Ĵ DIRECTORY ADD/DELETE/CHANGE Ĵ "Ctrl-D" 
                       

             The  directory  modification option will allow the user to
         add or delete directories,  and also to  change  the  name  of
         specified  directories.  Once  the  option is selected,  the 3
         sub-options are displayed.  If the user desires to  delete  or
         change  the name of a directory,  the specified directory must
         be highlighted thru the use of the F1-F8  keys.  If  the  user
         desires  to  add a directory,  the PARENT directory of the new
         directory must be highlighted.  Some additional constrains  on
         each sub-option are:

            Add Directory:
               1. The  addition  is  denied  if  the current  number of
                  directories is already at the max directory limit.
               2. The new directory name must be  valid.
               3. The new directory name  must have a full pathname and
                  screen print name each less than 40 characters.


                                    - 7 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL



            Delete Directory:
               1. Deletion  is  denied if  the user is currently in the
                  specified directory  (ie:  right  side  file  display
                  matches left side highlighted directory).
               2. Deletion  is  denied if  the highlighted directory is
                  not empty (ie:  has  subdirectories  or  files  still
                  attached).
               3. Deletion  is  denied if  the highlighted directory is
                  the root directory.

            Change Name:
               1. The new directory name must be valid.
               2. The new directory name  must have a full pathname and
                  screen print name each less than 40 characters.
               3. The change name option only works on PC/MS DOS  3.0+.
                  DOS 2.x does not support changing of directory names.

         Upon completion of a valid add/delete/change, the program will
         adjust the directory tree display and allow the user  to  make
         additional add/delete/changes.   To  terminate  the  directory
         modification option, hit the ESC key.

              Ŀ       Ŀ
         Ĵ     EDIT INDICATED FILE     Ĵ"E"  "Alt-E"
                     

             The  edit  option  will allow the user to edit the current
         "indicated file".  The  user  must  supply  and  identify  the
         desired  editor  to  the  DS program.  The DS program does not
         provide an editor of its own, but simply attempts to execute a
         ".com" or ".exe" file that has been defined  by  the  "Ctrl-E"
         option  as the default editor.  The user should specify a full
         pathname for the desired editor with the "Ctrl-E"  option.  If
         the user has not previously defined their own favorite  editor
         to  the  DS  program,  the program  will attempt to execute  a
         file by the name of  "edit.com",  "edit.exe",  or  "edit.bat".
         Upon  successful  execution  of  the  defined  editor,  the DS
         program passes to it  the name  of the current indicated file.
         Upon  termination  of  the  editing  process,  the  DS program
         resumes where it left off.

              The "e" option will edit the indicated file while  the DS
         program stays resident in  memory.   The  "alt-e"  option will
         edit the indicated file while overlaying the DS program.  Upon
         termination of the  "alt-e"  option the  DS  program  will  be
         reloaded from disk.  The  "alt-e"  option is  slower to reload
         or restart DS but useful in systems that are tight on  memory.
         Upon reloading DS the  "alt-e"  option should  retain the same
         current "indicated file";  however, all tagging of files  will
         be lost.

              It  is  highly  recommended  that  the  user  obtain  and
         execute the  "DPATH"  program  (found  on  most  RBBS  boards)
         in   their autoexec.bat  file.  DPATH  is  to  data files what
         PATH is to executable files. With DPATH in effect, your editor


                                    - 8 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


         will  be able  to  find  supporting  files  even  though  your
         current  directory may not be  the directory where your editor
         and the support files reside.  Users who have DOS 3.2 or later
         should use the  "APPEND"  command which accomplishes the  same
         results as the DPATH program.


              Ŀ         Ŀ
         Ĵ        EDIT DEFAULTS        Ĵ "Ctrl-E" 
                       

             The Edit Defaults change option will  allow  the  user  to
         redefine  the  program  used as the default editor (depressing
         the "E" key), the default lister  ("L"  key),  and  for  which
         drives the program will maintain a "log"  file.   The  initial
         defaults  for the editor and  lister  are  "edit"  and  "list"
         but may be permanently changed by  the  user.  Upon  selection
         of this option the user is presented with  a  display  of  the
         current defaults and the command keys to effect changes.   The
         user should specify a complete pathname for the desired editor
         and list program.   For  example, if  the  desired  editor  is
         "list.com"  in the  "dos"  directory on the  "c:"  drive, then
         specify "c:\dos\list"  rather than just  "list".   Failure  to
         specify a complete pathname will  result in  the  "alt-e"  and
         "alt-l"  options   failing  to   execute  and  presenting  the
         following (rather misleading) DOS error message:

                         "run-time error R6005
                          -not enough memory on exec"

              Ŀ         Ŀ
         Ĵ          FIND FILE          Ĵ   "F"    
                       

            The find option will allow the user to search  the  current
         default  drive  for  a  specified file.  The user provides the
         name of the file,  which can include the "*" and "?"  wildcard
         specifiers.  The  find  option  will then commence a search of
         all directories starting  from  the  root  directory.  When  a
         matching  file  is found in a directory,  the program stops in
         that directory and DISPLAYS ONLY THOSE FILES OF THE  DIRECTORY
         THAT  MATCH THE SPECIFIED STRING.  This option only stops once
         in each directory.  Any additional files that match (which  is
         likely with "*" and "?") will also be displayed along with the
         "indicated file".
            Once the program has halted  in  a  directory  that  has  a
         matching file the following options are available:

             Arrow Keys   \
             Home / End    }  -   Work as they normally do
             PgUp / PgDn  /

             'L' or 'l' Key   -   Will list the indicated file

             Note: Directory movement keys F1-F8 do not work here.



                                    - 9 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


         The user has 3 additional options to continue/terminate:

             F2  Key   -  Continue searching directories.

             [CR] Key  -  Terminate  search  option  in  the  currently
                          displayed directory.

             ESC Key   -  Terminate search option & return user to  the
                          original directory from which the option  was
                          started.

         If "F2" is chosen,  upon completion of the final directory the
         user is placed in the original directory from which  the  find
         option was activated.

         Note:  The  find option disregards the user's current select &
         sort options (see ALT-S) while searching for  matching  files.
         During  execution,  the  find option uses a select criteria of
         the specified search  string  and  sorts  files  by  ascending
         filename.  Therefore,  display  of  directories  which contain
         matching files will show  only  those  filenames  of  matching
         files  even  though  there  may  be  additional  files  in the
         directory.   Upon  termination  of  this  option,  the  user's
         original  select & sort options are reinstated.  If,  however,
         the user exits this option through the use of the CR  (current
         directory) key,  there is the possibility that  the  file  the
         user  just  found  will  disappear if the original file select
         criteria does not match the file just found.  Confusing  isn't
         it.

              Ŀ         Ŀ
         Ĵ     FREE ON OTHER DRIVE     Ĵ "Alt-F"  
                       

             This option will allow the user to find out the  available
         space  (free  bytes) of any drive without having to switch off
         the current drive.  This option would  most  appropriately  be
         used  when  tagging  files  on  the  current  drive to copy to
         another drive.  In this way the user can get a rough  estimate
         as  to  how  many  files can be tagged and copied to the other
         drive.  The number of free bytes on the other  drive  will  be
         displayed  in  the lower right corner of the box border,  just
         above the display of the number of bytes tagged on the current
         drive.  Due to the nature of file space allocation by DOS  (in
         clusters of varying sizes on different media), you will not be
         able  to  copy as many bytes from one media to the other media
         as specified in this option.  In other words,  expect to  copy
         fewer than the number of free bytes displayed by this option.

              Ŀ         Ŀ
         Ĵ          HELP MENU          Ĵ   "?"    
                       

             The help menu  will display a  one  page  summary  of  all
         available options.  Expanded context-sensitive help is  avail-
         able by depressing the F10 key.


                                    - 10 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL



              Ŀ         Ŀ
         Ĵ     COPY TAGGED FILES       Ĵ   "K"    
                       

             The  copy  tagged files option  will copy those files that
         are tagged (see Option "T" below) to  a  specified  directory.
         The  user  will specify the desired destination directory.  If
         the user desires to make a second copy of a file in  the  same
         directory, specify only the new name of the file.  If the user
         specifies only a drive specification such as "a:", the program
         will  copy  the  tagged files to the current directory on that
         drive.  If the user does not specify a  destination  directory
         but simply enters a carriage return, the program will copy the
         tagged  files to the directory which is currently highlighted.
         When choosing this last method of specifying  the  destination
         directory,  prior to entering the carriage return the user may
         change the highlighted directory with the use of the  F1  thru
         F8  keys.  The  program will not allow the user to copy a file
         or files to  the  same  directory  without  specifying  a  new
         filename.  In other words, no copy will take place if the user
         simply  enters a carriage return and the highlighted directory
         also happens to be the current  directory.  This  prevents the
         system from trying to copy a file onto itself and consequently
         clobbering itself.

              Ŀ         Ŀ
         Ĵ        COLOR CHANGE         Ĵ "Alt-K"  
                       

            The DS program will allow the user  with  a  color/graphics
         monitor to change the color of the foreground,  background and
         display border.  To enable these color changes the user  first
         selects  the  ALT-K  option,  whereupon the following keys are
         used:

            F1 Key  - Change/Increment the  display  foreground  color.
                      The foreground cycles thru 16 colors.

            F2 Key  - Change/Increment the  display  background  color.
                      The background cycles thru 8 colors.

            F3 Key  - Change/Increment the display  border  color.  The
                      border cycles thru 8 colors.

            F4 Key  - Modify the defaults startup file "ds_prog.def" so
                      that current selected  colors  will  be  used  on
                      future initializations of the program.

            F5 Key  - Modify the default colors used  when  not  within
                      the DS program. This option requires the presence
                      of the ansi.sys device driver.

            F6 Key  - Modify the color/mono attributes on  the  display
                      to  conform  with a  monochrome  display.    This
                      option might be  necessary  should  the  defaults


                                    - 11 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


                      file   contain   color   attributes   which   are
                      undesirable  (ie:  underline)  for  a  monochrome
                      display.  This option is only active for  a  mono
                      display.

            To exit the color change  option,  depress  the  Return  or
         Escape key.

              Ŀ       Ŀ
         Ĵ          LIST FILE          Ĵ"L"  "Alt-L"
                     

            The list option will allow the user to list the contents of
         the  current  "indicated  file".  The  user  must  supply  and
         identify the desired lister program to the DS program.  The DS
         program does not provide a lister  program  of  its  own,  but
         simply  attempts  to  execute a ".com" or ".exe" file that has
         been defined by  the  "Ctrl-E"  option as the default  lister.
         The user should specify a complete pathname  for  the  desired
         lister program with the "Ctrl-E" option.  If  the user has not
         previously defined a lister  program  to the DS  program,  the
         program  will  attempt  to  execute  a  file  by  the  name of
         "list.com",  "list.exe",  or "list.bat".  If the user does not
         have a lister program they  should  create a  "list.bat"  with
         "type %1"  and  "pause"  as the only 2 lines in the file which
         "ctrl-e" maintains as the lister file.  This way the file will
         be listed via the DOS "type" command.  An  outstanding  lister
         program  by  Vernon D. Buerg is  available in the  "shareware"
         environment  which is highly recommended for your use.

              The "l" option will list the indicated file while  the DS
         program stays resident in  memory.   The  "alt-l"  option will
         list the indicated file while overlaying the DS program.  Upon
         termination of the  "alt-l"  option the  DS  program  will  be
         reloaded from disk.   The  "alt-l"  option is slower to reload
         or restart DS but useful in systems that are tight on  memory.
         Upon reloading DS the "alt-l" option  should  retain  the same
         current "indicated  file";  however, all tagging of files will
         be lost.


              Ŀ         Ŀ
         Ĵ    LIMITS OF THE PROGRAM    Ĵ "Ctrl-L" 
                       

             This  option  will show the user the limits of the current
         "DS.EXE" program.  Normally  the user  should  never  need  to
         exercise this option.   However,  should one  of  the  program
         limits be exceeded,  an alarm will sound and a message will be
         displayed that states "Exceeded Program Limits".  The user can
         then use this option to  determine  which  program  limit  was
         exceeded.  Hopefully the program  will  continue  to  operate,
         disregarding  the  directories  or  files  that  exceeded  the
         program limits.  As the size of the data structures supporting
         this program are determined at compile  time  (vice  execution
         time), currently the only remedy  for  exceeding  the  program


                                    - 12 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


         limits is to either  rearrange your directory/file   structure
         to conform to the program limits,  or  contact  the author for
         another copy of the  program with  limits  extended to  values
         more appropriate to your particular system.
             A second actuation of "CTRL-L" will provide  the  user  an
         expanded display of program statistics.  This display includes
         sizes of the Code, Data and Stack segments.  The Code  segment
         is further broken down  showing  the  size  of  "C"  language,
         assembly language,  and  library  modules.  The  Data  segment
         shows the amount of memory allocated to strings and constants,
         the amount allocated to variables, and the amount required  as
         program overhead.

              Ŀ         Ŀ
         Ĵ      MOVE TAGGED FILES      Ĵ   "M"    
                       

             The move tagged files option allows the user to move those
         files  tagged  (see  Option "T" below) to another directory on
         the SAME drive.  Moving files from directory to  directory  is
         quicker and more efficient than copying all the  tagged  files
         to  the  destination  directory and then deleting all the same
         files from the source directory.  The user can either  specify
         the  desired  destination directory or enter simply a carriage
         return.  If the  user  enters  only  a  carriage  return,  the
         program  will move all the tagged files to the directory which
         is  currently  highlighted.   When  choosing  this  method  of
         specifying the destination directory,  the user may change the
         highlighted directory with  the  F1  thru  F8  keys  prior  to
         entering  the carriage return.  Additionally,  the highlighted
         directory must be different from the  current  directory  (the
         one  in  which  the  tagged  files  are in) for this method of
         entering only a carriage return to work.

              Ŀ         Ŀ
         Ĵ  25 43/50 LINE MODE TOGGLE  Ĵ "Alt-M"  
                       

             The expanded 43/50 line toggle  will  allow  the  user  to
         switch back and forth from 25 lines  to  43(EGA)  or  50(PS/2)
         lines per display on monitors  supporting  such  modes.   When
         exiting the DS program the user is  automatically  placed back
         in the 25 line mode as DOS  does  not  currently  support  the
         43/50 line mode.  Should the user exit the DS program while in
         the 43/50 line mode and subsequently reenter the program,  the
         user will be placed back in the 43/50 line mode.
              Ŀ         Ŀ
         Ĵ     PRINT TAGGED FILES      Ĵ   "P"    
                       

             The print tagged files option allows the user to  send  to
         the  print  spooler a maximum of 10 tagged files.  This option
         simply sends to the standard DOS "print" command the first  10
         tagged  files.   Once  sent  to  the  print  spooler,   it  is
         recommended that you exit the DS program completely to enhance
         or increase the speed of printing the desired  files.  If  the


                                    - 13 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


         user  remains  in  the  DS program,  the speed of printing the
         files is drastically reduced as the print spooler must compete
         with the DS program for cycle time.

              Ŀ         Ŀ
         Ĵ        RENAME FILE          Ĵ   "R"    
                       

             The rename option allows the user to rename the indicated
         file to a new name.

              Ŀ         Ŀ
         Ĵ      RESCAN DIRECTORY       Ĵ "Alt-R"  
                       

             The directory rescan  option  will  rescan  the  directory
         structure  of  the current default drive.  This option may  be
         necessary if you switch floppies in a  floppy  drive.  It  may
         also  be used on a hard disk if you make or delete directories
         without using  the  directory  modification  (CTRL-D)  option.

              Ŀ         Ŀ
         Ĵ       SCREEN REFRESH        Ĵ   "S"    
                       

             The  screen  refresh  option will allow the user to redraw
         the entire screen.  This may become  necessary  should  a  DOS
         message like "Abort, Retry or Ignor" disrupt the screen.

              Ŀ         Ŀ
         Ĵ        SELECT & SORT        Ĵ "Alt-S"  
                       

             The select &  sort  option  allows  the  user  to  specify
         alternate sorts of the files in a directory.  Additionally, it
         allows  the user to filter out some files by allowing entry of
         a file match  parameter  to  use  rather  than  accepting  the
         default   file   match   parameter  of  "*.*".   Upon  program
         initialization the defaults are a filter of "*.*" with a  sort
         by filename in ascending order.
             After  selecting  this  option the user may change any/all
         the defaults.  Depressing the space bar will toggle  the  sort
         option through the 5 sort types of no sort,  name,  extension,
         size and date.  Depressing the up arrow  or  down  arrow  will
         toggle   the   sort   direction  to  ascending  or  descending
         respectively.  Entry of any other valid character  will  allow
         the  user  to change the file match parameter.  Depressing the
         carriage return character after valid  file  filter  parameter
         characters  will change the file filter to the newly specified
         file filter.  Depressing the carriage return character without
         any new file filter entered will change the file  filter  back
         to "*.*".
             The  new  sort  and  file  select  filter take effect upon
         termination of the sort/select option,  upon pressing the  ESC
         key.  After  terminating  this option the new sort option will
         be displayed on the 1st of the 3 bottom  status  lines,  right


                                    - 14 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


         after  the  "Help  =  ?"  message.  Additionally,  if the file
         select filter  is  anything  other  than  "*.*",  it  will  be
         displayed  above  and  slightly  to  the  right  of  the  sort
         type/direction in the display border.

              Ŀ         Ŀ
         Ĵ          TAG FILE           Ĵ   "T"    
                       

             The  tag  file  option  is  used  as  a precursor to other
         options such as  the  copy  tagged  files  option.  When  this
         option  is  selected,  the  current  indicated  file is set to
         reverse video and the next file becomes the current  indicated
         file.

              Ŀ         Ŀ
         Ĵ       TAG ALL FILES         Ĵ "Alt-T"  
                       

             The  tag  all  files option allows the user to tag all the
         files in the current directory in preparation for execution of
         another option.

              Ŀ         Ŀ
         Ĵ       TREE DUMP FILE        Ĵ "Ctrl-T" 
                       

             The tree dump file option  will  create  a  file  "tree_x"
         where the "x" is the drive letter for the current drive.  This
         file will be created in the  root  directory  of  the  current
         drive  and  contain  the  tree  structure  diagram   which  is
         displayed on the left side of the DS display screen.

              Ŀ         Ŀ
         Ĵ         UNTAG FILES         Ĵ   "U"    
                       

             The  untag option allows the user to untag a file that has
         been tagged by mistake.

              Ŀ         Ŀ
         Ĵ       UNTAG ALL FILES       Ĵ "Alt-U"  
                       

             The untag all files option allows the user  to  untag  all
         the files that are currently tagged.

              Ŀ         Ŀ
         Ĵ      VOLUMN ID TOGGLE       Ĵ "Ctrl-V" 
                       

             The volumn id toggle option will turn on/off  the  display
         of the default drive's volumn label.  The volumn  id  will  be
         displayed in the lower left corner of the display border  when
         available and turned on.  The default on start  up  is  toggle
         off.


                                    - 15 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL



              Ŀ       Ŀ
         Ĵ        EXECUTE FILE         Ĵ"X"  "Alt-X"
                     

             The eXecute file option allows the  user  to  execute  the
         current  indicated  file if its file name extension is ".com",
         ".exe",  ".bat",  or  ".bas".   Files  with  a  .com  or  .exe
         extension  are executed directly (ie:  are not passed thru the
         command processor so no I/O redirection  is  possible).  Files
         with  a  .bat  extension  are submitted to a secondary command
         processor.  Files with a ".bas"  extension  are  passed  as  a
         parameter   to  the  execution  of  a  file  by  the  name  of
         "basica.exe".  Prior to the execution of any of  these  files,
         this  option  allows  the user to enter command line arguments
         which are passed to the indicated  program  as  it  goes  into
         execution.

              The  "x"  option executes  the  indicated  program  while
         the DS program stays resident in memory.  The  "alt-x"  option
         will execute the indicated program while  overlaying  the   DS
         program.  Upon  termination  of  the  "alt-x"  option  the  DS
         program will be reloaded from disk.   The  "alt-x"  option  is
         slower to reload/restart DS but useful  in  systems  that  are
         tight on memory.   Upon reloading DS the "alt-x" option should
         retain the same current "indicated file"; however, all tagging
         of files will be lost.

                         ͻ
         ͹          MACROS           
                         ͼ

             Limited macro definitions may be supported thru the use of
         the following keys:

                 Shift-F1     thru  Shift-F9       (sF1 - sF9)
                 Control-F1   thru  Control-F9     (^F1 - ^F9)
                 Alternate-F1 thru  Alternate-F9   (@F1 - @F9)

         To display current macro definitions or to change  definitions
         the following keys may be depressed:

                 Shift-F10    Control-F10     or   Alternate-F10

         The  user  will  then  be presented with a display showing the
         current macro definitions for the appropriate  shift,  control
         or  alternate  function  keys.  The  user  will  be allowed to
         select/highlight  the  desired  function  key  and  clear   or
         reassign  the  defined  macro  for  the selected function key.
         After changing any macros the user is prompted as  to  whether
         the changes should be made permanent.

             The  following  "special key sequences" may be used in the





                                    - 16 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


         macro definitions:

                 %F = Filename of the current "indicated file"  will be
                      inserted in the  macro  at  this  position.   The
                      filename INCLUDES the filename EXTENSION (ie: the
                      characters after the period).

                 %f = Filename of the current "indicated file"  will be
                      inserted in the  macro  at  this  position.   The
                      filename DOES NOT INCLUDE the filename EXTENSION.

                 %d = Directory name  (full pathname)  of  the  current
                      highlighted directory will  be  inserted  in  the
                      macro at this position.

                 %R = Return prompting will be required upon completion
                      of the macro prior to returning to  the  main  DS
                      menu.  The bottom of the screen  WILL  display  a
                      message prompting for the prompt character.

                 %r = Return prompting will be required upon completion
                      of the macro prior to returning to  the  main  DS
                      menu.  The bottom of the screen WILL NOT  display
                      the prompting message.

                 %i = Input from the user is expected  prior  to  macro
                      execution.  The user will be  prompted  for  this
                      input.  Be advised  when  using  this  option  in
                      conjunction with either  %t  or  %T  that  a  ""
                      (Greek sigma) character will  mark  the  position
                      where the tagged filenames will be inserted.

                 %T = Filenames of all currently tagged files  will  be
                      inserted in macro at this position.  The filename
                      INCLUDES   the   filename   EXTENSION   (ie:  the
                      characters after the period). If the user desires
                      to  seperate  the  filenames  with  a   specified
                      character string then specify the string (max  of
                      5 characters) between  double  quotes immediately
                      after the %T.

                      Example:
                          %T"-+"   Specifies that a minus sign followed
                                   by a plus  sign  seperates  all  the
                                   filenames in the macro.

                 %t = Filenames of all currently tagged files  will  be
                      inserted in macro at this position.  The filename
                      DOES NOT INCLUDE the filename EXTENSION.  If  the
                      user desires to  seperate  the  filenames with  a
                      specified  character  string  then  specify   the
                      string  (max  of  5  characters)  between  double
                      quotes immediately  after the  %t.





                                    - 17 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


                      Example:
                          %t"+ +"  Specifies that a plus  sign followed
                                   by a space followed  by a plus  sign
                                   seperates  all the  filenames in the
                                   macro.

                %1c = Execute the macro command only once.  Some  macro
                      commands can be executed repeatedly  (like pkarc)
                      to  accomplish  thier   mission;   however,  some
                      programs (like link) can only  be  executed  once
                      to accomplish thier task.  Use "%1"  to  indicate
                      that the macro must execute only once.   The  "c"
                      after the "%1" indicates  what  single  character
                      will  be  used to  terminate  all  but  the  last
                      line of input to the macro.

                      Example:
                          %1+  =  "+" terminates all but the last line.
                          %1\  =  "\" terminates all but the last line.

                 %O = Overlay the DS program upon executing the  macro.
                      This will  recover  the  memory used  by  the  DS
                      program for use by the  macro.   Upon  completion
                      of the macro the DS program will be restarted  or
                      reloaded  from   disk.   This  option  is  slower
                      returning to  DS  but  may  be  useful in systems
                      that are tight on memory.


                 %% = A "%" will be inserted in the definition at  this
                      position.

         Sample Usage:

          wp %F         = Execute wordperfect and send it the  filename
                          (including .ext) of the  current  "indicated"
                          file.

          dir /w %d %r  = Do a wide directory listing  on  the  current
                          highlighted directory and require a prompting
                          keystroke upon completion prior to  returning
                          to the main DS menu.

          del %f.*      = Delete the current "indicated" file  and  all
                          files  with   the  same  name  but  different
                          filename extension.

          erase %i      = Erase the file(s) the user will  input.   The
                          macro will prompt the user for the input.

          lark %f       = Execute the  "lark"  (list  archive  utility)
                          program on the current indicated file.

          pkarc a newlib %T%O    =  Create a new archive  file  by  the
                          name of "newlib" and to this file add all the
                          currently tagged files.  The "pkarc"  program


                                    - 18 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


                          which does  the  archiving  may  be  executed
                          repeatedly to archive all the specified files
                          as DOS can  only  accept  a  maximum  of  128
                          characters per command line.  This macro will
                          also overlay (%O) the DS program to  conserve
                          memory.  DS will be  reloaded/restarted  upon
                          completion of the macro.

          lib oldlib -+%t"-+";%R   =   Use the "lib" program to  update
                          an  old file by  the  name  of  "oldlib"  and
                          insert into  "oldlib"  new  copies of all the
                          currently tagged files.  The  characters (-+)
                          between  the  double  quotes   indicate   the
                          string to be used  to  seperate  tagged  file
                          names.  Also require (%R) a return key prompt
                          on completion of the macro.

          link %t;%1+   = Link  together  into  one   program  all  the
                          currently  tagged  files.    Since  the  link
                          program can only be executed once to  do  its
                          job correctly (unlike repeated executions  of
                          pkarc to add to an  arc file)  the user  must
                          specify  that  the   macro   should  only  be
                          executed once with the  "%1"  sequence.   The
                          "+"  following the  "%1"  sequence  indicates
                          that the "+" character will terminate all but
                          the last of the input lines to the macro.

         PROGRAMMERS NOTE:  The addition of the "%t", "%T", "%O", "%X",
         and  the  "%1c"  options have greatly increased the number  of
         combinations  of  special  option  keys in macros.   With  the
         limited  time and resources available to the author,  not  all
         possible  combinations   have  been   thoroughly   tested  for
         compatability or integrity of operation.  The user may have to
         tinker with the macro somewhat to get it to operate correctly.
         In  particular  I have noted that some macros  will  not  work
         correctly if there are extra (not needed)  spaces in the macro
         definition.   Some macros (such as those using "%1"  with "%T"
         or  "%t")  create  a  file  "ds_macro.dat"  in  the  "DS home"
         directory  which is used as redirected input to the  execution
         of the macro.  The user may find it useful to review that file
         if   problems   with   the   macro   execution   occur.    The
         "ds_macro.dat"  file  is  also used  with the  "%T"  and  "%t"
         options when the "%O" (overlay) option is also specified.

                         ͻ
         ͹        EXIT OPTION        
                         ͼ

             One exit option is available:

             F9 -  Exit in the directory that is currently highlighted.






                                    - 19 -




         DS - DIRECTORY SCANNER                           USER'S MANUAL


                         ͻ
         ͹ LICENSING & REGISTRATION  
                         ͼ

                        Directory Scanner (tm) Ver 3.20
                        Copyright (c)  1986, 1987, 1988
                              All Rights Reserved
                                by Nat Martino

         *  A $15 shareware contribution is  requested  for  using  the
            program.
         *  The author retains the sole right to sell the program.
         *  The author grants users the right to  copy  and  distribute
            the program within the following constraints:
              - All program files remain unaltered and are  distributed
                en masse.
              - Only the original "non-cloned" version of  the  program
                with the  startup/termination  and  drive  change  time
                delays is distributed.
              - No attempt is made to sell  the  program,  or  to  make
                money from it or any modified version of it.
              - The program is not bundled with any other  hardware  or
                software transactions without the author's  permission.
              - Recognized  users'  groups  may  charge  a  maximum  $5
                duplication or distribution fee.
         *  Continued use of the program (more  than 2  weeks)  by  any
            individual, corporation or  institution  without  a  single
            user or site license is prohibited.
         *  Single user licenses are obtained by  sending  in  the  $15
            shareware contribution.
         *  Corporations and other institutions  (including  government
            and educational)  which desire  using  the  program  should
            refer  to  the   "DS_SITE.LIC"  file   for  site  licensing
            information.
         *  Special modified versions of the program can be created  by
            the  author for different system configurations or desires.
            Contact the author for details.

                         ͻ
         ͹   WARRANTY & DISCLAIMER   
                         ͼ

               The author disclaims all warranties expressed or implied
         as to the  quality or performance of this program.  The author
         will not be held liable for any lost profits, lost savings  or
         any  other  direct,  indirect,  incidental   or  consequential
         damages resulting from the use of this program.  Your  use  of
         this program constitutes your agreement to this disclaimer and
         your  release of  the author from any  form  of  liability  or
         litigation.








                                    - 20 -


